Package net.shibboleth.idp.attribute.filter.matcher.saml.impl

# Class AttributeScopeMatchesShibMDScope

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.matcher.saml.impl.AbstractMatchesShibMDScopeMatcher
net.shibboleth.idp.attribute.filter.matcher.saml.impl.AttributeScopeMatchesShibMDScope

All Implemented Interfaces:
  `Matcher`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class AttributeScopeMatchesShibMDScope extends AbstractMatchesShibMDScopeMatcher
Class to implement a filter of scopes against <shibmd:scope>.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
Class logger.

### Fields inherited from interface net.shibboleth.idp.attribute.filter.Matcher

`MATCHER_FAILS, MATCHES_ALL, MATCHES_NONE`

## Constructor Summary

Constructors
Constructor
Description
`AttributeScopeMatchesShibMDScope()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getCompareString(IdPAttributeValue value)`
Return the string we want to compare with for the provided value.

### Methods inherited from class net.shibboleth.idp.attribute.filter.matcher.saml.impl.AbstractMatchesShibMDScopeMatcher

`doInitialize, getLogPrefix, getMatchingValues`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Class logger.

## Constructor Details

### AttributeScopeMatchesShibMDScope

public AttributeScopeMatchesShibMDScope()

## Method Details

### getCompareString

@Nullable @NotEmpty protected String getCompareString(@Nonnull IdPAttributeValue value)
Return the string we want to compare with for the provided value.

Specified by:
  `getCompareString` in class `AbstractMatchesShibMDScopeMatcher`
Parameters:
  `value` - the vaue we are interested.
Returns:
  the string, or null if empty of not relevant.